Subject: [Idr] Comments on draft-ietf-idr-bgpls-inter-as-topology-ext-01

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 26 Mar 2019 09:52:42 +0000

Hello Authors,

Thanks for this draft update and presenting it at the IDR session on Monday.

I refer to our exchange<https://mailarchive.ietf.org/arch/msg/idr/42e5k0TwR6RKrJ9QiiKVfmwlLSE> during the WG adoption call on some issues/concerns on this document and also some comments on the mailing list on the previous versions of this draft from Acee, Jeff and others.

I see that the draft still continues to carry this notion of "native IP" scenario and the wrong premise of redistribution of the prefixes corresponding to the inter-AS links being used to "describe" such links via BGP-LS. I have no objection if any provider wants to use the BGP-LS information in this way - after all what a consumer does with the BGP-LS information it is outside the scope of BGP-LS. However, I continue to have objections to this entire section 3.1 continuing in this WG draft. Distribution of external prefixes (via redistribution) is already covered in RFC7752. There is nothing new here. What is new is this assumption of interpreting redistributed prefixes as inter-AS links which is wrong and MUST never be generalized as such in a standards track RFC.

Can you please remove this entire Section 3.1?

The rest of this document covers the important gap that was left by https://tools.ietf.org/html/rfc7752#section-3.5 and hence my support for this document.

I see that you have defined a new Link-State NLRI type for describing an Inter-AS link. I understand your motivation for doing this since we don't have Remote Node Descriptors for such links. I would suggest that instead of making it specific to Inter-AS scenario, we can view it as a "stub" link in a generic manner. This way, it may be also used for other scenarios where we don't have a IGP adjacency or it's part of the IGP adjacency but running in passive mode.

We can discuss further on this NLRI type once we have an agreement on above.

Thanks,

Ketan

---

From: Aijun Wang <[email-masked]>
Date: Tue, 26 Mar 2019 13:46:57 +0100

Hi, Ketan:

Thanks for your comments. 
I think the newly proposed solutions can solve your concerns for the redistribution action proposed in previous version of this draft.
The newly proposed BGP-LS NLRI can provide one generic solutions for the inter-AS scenario and other more generic situations. We can rename this NLRI in next version of this draft for its more broad use cases.
I will reorganize the structure of this draft to reflect your concerns in the next version.

Look forward to discuss you on the mail list or offline during the meeting.

Best Regards.

Aijun Wang
China Telecom

> On Mar 26, 2019, at 10:52, Ketan Talaulikar (ketant) <[email-masked]> wrote:
> 
> Hello Authors,
>  
> I refer to our exchange during the WG adoption call on some issues/concerns on this document and also some comments on the mailing list on the previous versions of this draft from Acee, Jeff and others.
>  
> The rest of this document covers the important gap that was left by https://tools.ietf.org/html/rfc7752#section-3.5 and hence my support for this document..
>  
> _______________________________________________
> Idr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/idr

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Tue, 26 Mar 2019 13:21:28 +0000

Hi Aijun,

Are you ok to remove section 3.1 of the draft v01 which talks about interpretation of redistributed prefixes of the Inter-AS links?

If so, then I think we can solve both the scenarios with the new “stub” Link NLRI type. When IGP are flooding the Inter-AS Link info via their LSA/LSP,  then the Inter-AS Link info can be distributed into BGP-LS by any IGP node in the domain. In the scenario that you call “native IP”, we would need the ASBRs to originate information of the Inter-AS link perhaps as a “direct” protocol into BGP-LS.

Thanks,
Ketan

From: Aijun Wang <[email-masked]>
Sent: 26 March 2019 13:47
To: Ketan Talaulikar (ketant) <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Re: [Idr] Comments on draft-ietf-idr-bgpls-inter-as-topology-ext-01

Hi, Ketan:

Best Regards.
Aijun Wang
China Telecom

On Mar 26, 2019, at 10:52, Ketan Talaulikar (ketant) <[email-masked]<mailto:[email-masked]>> wrote:

Hello Authors,

Thanks,

Ketan

_______________________________________________
Idr mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/idr

---

From: Aijun Wang <[email-masked]>
Date: Tue, 26 Mar 2019 14:34:11 +0100

Hi, Ketan:
Yeah, I will remove the content in section 3.1.
The “Protocol” associated with the newly defined BGP-LS NLRI for these stub links will be “direct”.

Aijun Wang
China Telecom

> On Mar 26, 2019, at 14:21, Ketan Talaulikar (ketant) <[email-masked]> wrote:
> 
> Hi Aijun,
>